﻿using System.Text.Json.Serialization;

namespace Sharing.Enterprise.Dtos;

/// <summary>
/// token 返回值
/// </summary>
[Serializable]
public class TokenRsp
{
    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("success")]
    public bool Success { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("data")]
    public TokenInfo TokenInfo { get; set; }
}

/// <summary>
/// token 内容
/// </summary>
public class TokenInfo
{
    /// <summary>
    /// access_token
    /// </summary>
    [JsonPropertyName("access_token")]
    public string AccessToken { get; set; }

    /// <summary>
    /// 
    /// </summary>
    [JsonPropertyName("refresh_token")]
    public string RefreshToken { get; set; }

    /// <summary>
    /// token类型
    /// </summary>
    [JsonPropertyName("token_type")]
    public string TokenType { get; set; }

    /// <summary>
    /// token有效期，单位秒
    /// </summary>
    [JsonPropertyName("expires_in")]
    public string ExpiresIn { get; set; }
}