﻿namespace Sharing.Share.Dtos
{
    /// <summary>
    /// 服务工单退回反馈接口
    /// </summary>
    public class ReturnFeedbackDto
    {
        /// <summary>
        /// 服务工单编号  
        /// </summary>
        public string CaseSerial { get; set; }

        /// <summary>
        /// 办理操作
        /// </summary>
        public string BackType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        public string DealDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        public string DealName { get; set; }

        /// <summary>
        /// 退回反馈时间
        /// </summary>
        public DateTime? ApplyTime { get; set; }

        /// <summary>
        /// 是否同意退回
        /// </summary>
        public bool Result { get; set; }

        /// <summary>
        /// 退回原因
        /// </summary>
        public string Reason { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        public List<string> CliengGuid { get; set; }
    }
}
